*{
    box-sizing: border-box;
}

body{
    margin: 0;
    font-size: 13px;
    font-family: 'Noto Sans', sans-serif;
}

.container{
    height: 100vh;
    position: relative;
}

/* ------------ Title-Bar ---------------------- */
.title-bar{
    height: 5vh;
    background-color: #107C41;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* --------------------------------------------- */

/* ------------ Menu-Bar ---------------------- */
.menu-bar{
    height: 5vh;
    background-color: #107C41;
    display: flex;
    align-items: center;
    
}

.menu-item{
    padding: 0 10px;
    color: #fff;
    display: flex;
    align-items: center;
    height:100%
}

.menu-item:hover{
    background-color: #0b572d;
    cursor: pointer;
}

.menu-item.selected{
    background-color: #fff;
    color: #107C41;
}
/* ------------------------------------------------- */

/* ------------ Menu-Icon-Bar ---------------------- */
.menu-icon-bar{
    height: 6vh;
    display: flex;
    align-items: center;
    background-color: #F3F2F1;
    overflow-x: overlay;
}

.menu-icon{
    padding: 0px 10px;
    display: flex;
    align-items: center;
    height: 80%;
    margin-right: 5px;
}

.selector{
    height: 65%;
    outline-color: #107C41;
}

.selector option{
    font-size: 16px;
}
.font-family-selector
{
    margin-left: 10px;
    width: 10rem;
}
.font-size-selector{
    margin-right: 10px;
}
.menu-icon:hover{
    color: #107C41;
    cursor: pointer;
}

.menu-icon.selected{
    background-color: #dfdddb;
    color: #107C41;
}
.icon-color-fill,
.icon-color-text
{
    position: relative;
}
.color-picker{
    position: absolute;
    border: none;
    height: 15px;
    width: 33px;
    top: 58%;
    background: none;
    left: 6px;
    cursor: pointer;
}
/* ----------------------------------------------- */


/* ------------ Formula-Bar ---------------------- */
.formula-bar{
    height: 5vh;
    display: flex;
    align-items: center;
    padding-left: 0.7rem;
    padding-right: 0.7rem;
    background-color: #F3F2F1;
}

.formula-editor{
    height: 70%;
    border: 1px solid #a8a6a3;
    background-color: #fff;
    outline-color: #107C41;
    display: flex;
    align-items: center;
    padding-left: 0.7rem;
    padding-right: 0.7rem;
}

.selected-cell{
    width: 120px;
    justify-content: center;
    
}

.icon-function{
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.formula-input{
    width: calc(100vw - 160px);
}
/* ------------------------------------------------ */

/* ------------Data-Container---------------------- */
.data-container{
    height: 74.8vh;
    width: 100vw;
    display: flex;
    flex-wrap: wrap;
}

.select-all{
    height: 30px;
    width: 30px;
    border: 1px solid #a8a6a3;
    background-color: #F3F2F1;
}

.col-name-container{
    height: 30px;
    width: calc(100vw - 30px);
    border-top: 1px solid #a8a6a3;
    background-color: #F3F2F1;
    display: flex;
    overflow: hidden;
}

.col-name{
    min-width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid #a8a6a3;
    font-weight: bold;
}
.row-name-container{
    height: calc(74.8vh - 30px);
    width: 29.5px;
    border-bottom: 1px solid #a8a6a3;
    background-color: #F3F2F1;
    overflow: hidden;
}

.row-name
{
    min-height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid #a8a6a3;
    font-weight: bold;
}

.input-cell-container{
    height: calc(74.8vh - 30px);
    width: calc(100vw - 30px);
    border: 1px solid #a8a6a3;
    overflow: scroll;
}

.cell-row{
    display: flex;
}

.input-cell
{
    min-width: 100px;
    min-height: 30px;
    border-bottom: 1px solid #a8a6a3;
    border-right: 1px solid #a8a6a3;
    outline: 0;
    padding-top: 0.4rem;
    padding-left: 0.3rem;
    padding-right: 0.3rem;
    font-size: 14px;
    font-family: Arial, Helvetica, sans-serif;
    overflow: hidden;
}

.input-cell.selected{
    border: 3px solid #107C41;
    background-color: #F3F3F3 !important;
}

.input-cell.top-cell-selected{
    border-top: none;
}

.input-cell.bottom-cell-selected{
    border-bottom: 1px solid #a8a6a3;
}

.input-cell.right-cell-selected{
    border-right: 1px solid #a8a6a3;;
}

.input-cell.left-cell-selected{
    border-left: none;
}
/* --------------------------------------------- */

/* ------------ Sheet-Bar ---------------------- */
.sheet-bar{
    height: 4vh;
    display: flex;
    align-items: center;
    background-color: #F3F2F1;
}

.scroller{
    width: 60px;
    
}

.icon-scroll-left, .icon-scroll-right
{
    font-size: 1.45rem;
    padding-top: 4px;
    
}

.icon-scroll-left:hover, .icon-scroll-right:hover
{
    transform: scale(1.2);
    color: #107C41;
    cursor: pointer;
}
.icon-add{
    font-size: 1.45rem;
    width: 35px
}
.icon-add:hover{
    transform: scale(1.2);
    color: #107C41;
    cursor: pointer;
}
.sheet-tab-container
{
    width: calc( 100vw - 95px );
    display: flex;
    align-items: center;
    height: 100%;
    border-left: 1px solid #a8a6a3;
    overflow: hidden;
}

.sheet-tab{
   padding-left: 15px;
   font-weight: 600;
   min-width: 70px;
   border-right: 1px solid #a8a6a3;
   min-height: 100%;
   display: flex;
   align-items: center;
   overflow: hidden;
}

.sheet-tab:hover{
    cursor: pointer;
    background-color: #dfdddb;
    color: #107C41;
}

.sheet-tab.selected{
    border-bottom: 4.5px solid #107C41;
    background-color: #F3F2F1;
    cursor: default;
}

/* ------------------------ Modals -------------------------------*/

.help-modal
{
    position: absolute;
    height: 60%;
    width: 45%;
    top: calc(100vh/2 - 25%);
    left: calc(100vw/2 - 25%);
    background-color: #F3F2F1;
    box-shadow: 0px 1px 8px 1px #52504f;
    min-width: 200px;
    min-height: 200px;
    color: #52504f; 
    
}
.modal-header
{
    height: 15%;
    font-size: 1.5rem;
    font-weight: 600;
    border-bottom: 2px solid #a8a6a3;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal-body
{
    height:70%;
    overflow: auto;
    font-size: 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
ul {
    list-style: none;
    
  }
  
ul li::before {
    content: "\25C6";
    color: #107C41;
    font-weight: bold;
    display: inline-block; 
    width: 1.3rem;
    margin-left: -1.3rem;
  }
li{
    margin-bottom: 1.7%;
}

li span{
    font-weight: 600;
}
.modal-footer
{
    height: 15%;
    border-top: 2px solid #a8a6a3;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal-footer .action-button{
    height:40px;
    width: 60px;
}
.sheet-options-modal{
    position: absolute;
    bottom: 4vh;
    height: 60px;
    width: 60px;
    left: 50px;
    background-color: #F3F2F1;
    box-shadow: 1px 1px 4px 0px #52504f;
}

.sheet-option{
    height: 30px;
    padding: 5px;
    font-weight: 600;
}

.sheet-option:hover{
    background-color: #dfdddb;
    color: #107C41;
    cursor: pointer;
}
.sheet-rename{
    border-bottom:2px solid #dfdddb;
}

.sheet-rename-modal{
    position: absolute;
    height: 25%;
    width: 25%;
    top: calc(100vh/2 - 15%);
    left: calc(100vw/2 - 15%);
    background-color: #F3F2F1;
    box-shadow: 1px 1px 5px 1px #52504f;
    text-align: center;
    min-width: 200px;
    min-height: 200px;
    padding: 0.3%;
}

.new-sheet-name{
    width:60%;
    height: 20%;
    outline-color: #0b572d;
}

.action-buttons{
    display: flex;
    justify-content: space-evenly;
    margin-top: 5%;
    height: 20%;
}

.action-button{
    width: 60px;
    background-color: #107C41;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: inset -1px 0px 1px 1px #0a562d;
}

.action-button:hover{
    background-color: #0b572d;
    cursor: pointer;
}

